Bug 6813 - Not delete service on level 2
: Not delete service on level 2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/chkconfig)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://lists.altlinux.ru/pipermail/co...
:
:
:
  Show dependency tree
 
Reported: 2005-05-11 12:44 by
Modified: 2005-12-23 01:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-11 12:44:57
При отключении любого сервиса при помощи chkconfig сервис не полностью исчезает
из автозагрузки. Он по прежнему стартует на втором уровне. Приходится вручную
вызывать chkconfig --level 2 service_name off.

Такое поведение хоть и документировано в man chkconfig, но несколько неожиданно
и не логично. Подробнее можно прочитать в этой дискусии:
http://lists.altlinux.ru/pipermail/community/2005-May/156222.html
Steps to Reproduce:
1. chkconfig --list | grep вкл |grep service_name
2. chkconfig service_name off
3. chkconfig --list | grep вкл |grep service_name
Actual Results:  
Сервис не включен на втором уровне

Expected Results:  
Сервис должен быть выключен на втором уровне
------- Comment #1 From 2005-05-11 12:54:43 -------
Народ, читать умеем?

man chkconfig:

  By  default,  the on and off options affect only runlevels 3, 4, and 5,
  while reset affects all of the runlevels.  The --level  option  may  be
  used to specify which runlevels are affected.
------- Comment #2 From 2005-05-11 14:06:12 -------
> Народ, читать умеем?
> man chkconfig:
>   By  default,  the on and off options affect only runlevels 3, 4, and 5,
>   while reset affects all of the runlevels.  The --level  option  may  be
>   used to specify which runlevels are affected.

Умею :) Прочитал. Не согласен! Если chkconfig может все-таки "рулить" вторым
уровнем (опция --level прямое тому доказательство), то почему она этого не делает?

По логике (моей ;)) удаление должно удалять сразу со всех уровней. И кажется тот
же update-rc.d из Дебиана делал именно так.

Вообщем нужно править поведение программы IMHO...
------- Comment #3 From 2005-10-19 13:00:29 -------
может любым, но в 2 и 4 практически не применяются.

короче говоря, проще забить и не морочить себе и людям голову =)
------- Comment #4 From 2005-12-23 01:04:08 -------
Fixed upstream.
Available in chkconfig-1.3.25-alt1.